using UnityEngine;
using System.Collections;

public class CharacterObject : MonoBehaviour 
{

    private CharacterInfo m_info;

    public CharacterInfo Info
    {
        get { return m_info;  }
        set { m_info = value; }
    }

    public GridCoord GridPosition
    {
        get { return GetComponent<GridObject>().GridPosition;  }
    }

    public bool IsPlayer
    {
        get { return (this == PlayerObject.Instance.GetComponent<CharacterObject>()); }
    }

	// Use this for initialization
	void Start () 
    {

	}
	
	// Update is called once per frame
	void Update () {
	
	}
}
